﻿using System;
using System.Collections.Generic;
using System.Text;

namespace NFC
{
    public class APDUCommand
    {
        /// <summary>
        /// ISO 7816 - CLA - Class
        /// </summary>
        public byte Class { get; set; } 

        /// <summary>
        /// ISO 7816 - INS - Instruction
        /// </summary>
        public byte Instruction { get; set; }

        /// <summary>
        /// ISO 7816 - P1 - Parameter 1
        /// </summary>
        public byte Parameter1 { get; set; }

        /// <summary>
        /// ISO 7816 - P2 - Parameter 2
        /// </summary>
        public byte Parameter2 { get; set; }

        /// <summary>
        /// ISO 7816 - Lc - Length Command
        /// </summary>
        public byte LengthCommand
        {
            get
            {
                throw new NotImplementedException();
            }
        }

        /// <summary>
        /// ISO 7816 - Data - Data
        /// </summary>
        public byte[] Data { get; set; }

        /// <summary>
        /// ISO 7816 - Le - Length expected
        /// </summary>
        public byte LengthExpected
        {
            get
            {
                throw new NotImplementedException();
            }
        }

        public byte[] APDUCommandMessage()
        {
            throw new NotImplementedException();
        }
    }
}
